ComponentSpec (Gradle API 9.7.0)
Description: declaration: package: org.gradle.platform.base, interface: ComponentSpec

# Interface ComponentSpec

All Superinterfaces:
  `ModelElement, Named`

All Known Subinterfaces:
  `ApplicationBinarySpec, ApplicationSpec, AssemblerSourceSet, BinarySpec, BuildableComponentSpec, CheckableComponentSpec, CppSourceSet, CSourceSet, CUnitTestSuiteBinarySpec, CUnitTestSuiteSpec, DependentSourceSet, DependentSourceSet, GeneralComponentSpec, GoogleTestTestSuiteBinarySpec, GoogleTestTestSuiteSpec, HeaderExportingSourceSet, LanguageSourceSet, LibraryBinarySpec, LibrarySpec, NativeBinarySpec, NativeComponentSpec, NativeExecutableBinarySpec, NativeExecutableSpec, NativeLibraryBinarySpec, NativeLibrarySpec, NativeResourceSet, NativeTestSuiteBinarySpec, NativeTestSuiteSpec, ObjectiveCppSourceSet, ObjectiveCSourceSet, PlatformAwareComponentSpec, SharedLibraryBinarySpec, SourceComponentSpec, StaticLibraryBinarySpec, TargetedNativeComponent, TestSuiteBinarySpec, TestSuiteSpec, VariantComponentSpec, WindowsResourceSet`

All Known Implementing Classes:
  `org.gradle.api.internal.AbstractBuildableComponentSpec, org.gradle.platform.base.component.internal.AbstractComponentSpec, org.gradle.language.base.internal.AbstractLanguageSourceSet, BaseBinarySpec, BaseComponentSpec, BaseLanguageSourceSet, org.gradle.platform.base.component.internal.DefaultComponentSpec`

@Incubating @Deprecated public interface ComponentSpec extends ModelElement
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
A software component that is built by Gradle.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getProjectPath()`
  Deprecated.
  The path to the project containing this component.

  ### Methods inherited from interface ModelElement

  `getDisplayName, getName`

- ## Method Details

  - ### getProjectPath

    String getProjectPath()
    Deprecated.
    The path to the project containing this component.